<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Name: CDA problem concern
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF) 
                 
                     This entry is a
specialization of the Concern Entry, wherein the subject of the concern is
focused on a problem. Elements shown in the example below in gray are explained
in the  Concern Entry .  
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450">
   <title>CDA problem concern</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']"
         id="tmp-r-5c40ca04-8945-431f-a800-5a362b4aec6c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="string(@classCode)=('ACT')">(CDAProblemConcern): The value for @classCode SHALL be 'ACT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAProblemConcern): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="string(@moodCode)=('EVN')">(CDAProblemConcern): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDAProblemConcern): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAProblemConcern): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']/@nullFlavor)">(CDAProblemConcern): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&lt;=1">(CDAProblemConcern): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']/@nullFlavor)">(CDAProblemConcern): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&lt;=1">(CDAProblemConcern): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&gt;=1 ">(CDAProblemConcern): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&lt;=1">(CDAProblemConcern): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&gt;=1 ">(CDAProblemConcern): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDAProblemConcern): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:text)&lt;=1">(CDAProblemConcern): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:statusCode)&lt;=1">(CDAProblemConcern): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAProblemConcern): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:priorityCode)&lt;=1">(CDAProblemConcern): element hl7:priorityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:languageCode)&lt;=1">(CDAProblemConcern): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:subject)&lt;=1">(CDAProblemConcern): element hl7:subject appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:entryRelationship)&gt;=1 ">(CDAProblemConcern): element hl7:entryRelationship is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']"
         id="tmp-r-0b3ad30c-fb61-44ea-ab4b-988ae0583cbc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.5.2')">(CDAProblemConcern): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.5.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']"
         id="tmp-r-ecca20cf-d7bb-478e-a662-d2948a87e99f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.5.1')">(CDAProblemConcern): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']"
         id="tmp-r-4650f0b0-b1fa-4d4d-bbb7-2fba8601748e">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.27')">(CDAProblemConcern): The value for @root SHALL be '2.16.840.1.113883.10.20.1.27'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:id
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:id"
         id="tmp-r-1e6f111a-ee42-42a6-bf81-f71a53512505">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]"
         id="tmp-r-5b654332-d86e-4ad1-96c8-2f8729ba639f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAProblemConcern): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:text
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:text"
         id="tmp-r-86b9216a-cf0f-4dd7-8a64-92055d04420b">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:statusCode
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:statusCode"
         id="tmp-r-04f32498-3c9b-43d5-a7fd-3b6a2509fa19">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAProblemConcern): The element value SHALL be one of 'ActStatus (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAProblemConcern): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:effectiveTime
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:effectiveTime"
         id="tmp-r-2449dbd3-03d8-4989-aa1d-59d6ecd451fb">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:priorityCode
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:priorityCode"
         id="tmp-r-222b7c2d-1cc9-4418-992c-569fbdd6b690">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAProblemConcern): The element value SHALL be one of 'ActPriority (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAProblemConcern): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActPriority (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:languageCode
Item: (CDAProblemConcern)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:languageCode"
         id="tmp-r-696c9696-48c8-48e2-a922-9f10aa3030ab">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:subject
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: sasips-d109e1141
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:subject
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:specimen
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: sasips-d109e1143
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:specimen
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:performer
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: sasips-d109e1145
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:performer
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:author
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: sasips-d109e1147
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:author
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:informant
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: sasips-d109e1150
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:informant
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAParticipantBody): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAParticipantBody): The value for typeCode SHALL be selected from value set 'ParticipationType' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAParticipantBody): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode)&lt;=1">(CDAParticipantBody): element hl7:awarenessCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBody): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:time
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:time">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:awarenessCode
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:awarenessCode">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'TargetAwareness (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set TargetAwareness (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ROL'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice|hl7:playingEntity)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAParticipantBody): choice (hl7:playingDevice or hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(CDAParticipantBody): element hl7:scopingEntity appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBody): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:addr">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:telecom">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d6928e40
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d6928e42
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ENT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAParticipantBody): element hl7:desc appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'EntityCode (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship
Item: (CDAProblemConcern)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="@typeCode">(CDAProblemConcern): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAProblemConcern): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAProblemConcern): The value for typeCode SHALL be selected from value set 'x_ActRelationshipEntryRelationship' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAProblemConcern): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="string(@inversionInd)=('false') or not(@inversionInd)">(CDAProblemConcern): The value for @inversionInd SHALL be 'false'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(CDAProblemConcern): Attribute @inversionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAProblemConcern): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:sequenceNumber)&lt;=1">(CDAProblemConcern): element hl7:sequenceNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAProblemConcern): element hl7:seperatableInd appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship/hl7:sequenceNumber
Item: (CDAProblemConcern)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship/hl7:sequenceNumber">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="$digitok or @nullFlavor">(CDAProblemConcern): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship/hl7:seperatableInd
Item: (CDAProblemConcern)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProblemConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e1154
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:entryRelationship
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:reference
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:reference
Item: (CDAReference)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:reference">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="@typeCode">(CDAReference): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAReference): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAReference): element hl7:seperatableInd appears to often [max 1x].</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAReference): choice () does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAReference): choice () contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:reference/hl7:seperatableInd
Item: (CDAReference)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:reference/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900203
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:precondition
Item: (CDAProblemConcern)
-->

   <!--
Template derived rules for ID: sasips-d109e1175
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900203']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']/hl7:precondition
Item: (CDAProblemConcern)
--></pattern>
